PS3 CFW 4.XX+ .PKG Resigner Script v0.3.1b by Zeroblu3 Arrives


76w ago - Hi all, with a guide and tutorial already posted, I finally decided to join the forum and share my PS3 CFW 4.XX+ .PKG Resigner Script v0.3.1b followed by v0.3.2b, v0.3.3b and v0.3.3b Fix1.

Download: PS3 CFW 4.XX+ .PKG Resigner Script v0.3.3b Fix1 / PS3 CFW 4.XX+ .PKG Resigner Script v0.3.3b / PS3 CFW 4.XX+ .PKG Resigner Script v0.3.2b / PS3 CFW 4.XX+ .PKG Resigner Script v0.3.2b (Mirror) / PS3 CFW 4.XX+ .PKG Resigner Script v0.3.1b / PS3 CFW 4.XX+ .PKG Resigner Script v0.3.1b (Mirror)

Actually this is my first post ^^ last night i just couldn't sleep so i started to play around with batch script and managed to make a little tool to automate the resigning process for <3.55 to >4.2.x

Code may look pretty raw but it should work. i tested a lot of homebrews and even some PSN games and it works. it's kinda late now and i worked almost all night on this so i didn't really have time to write a tutorial.

Just extract the folder in the rar somewhere on the pc and execute CFW 4.xx Resigner Script START.bat and follow the instructions in the cmd prompt. i'll write a detailed tutorial asap.

Meanwhile for questions and feedbacks my Twitter is z3roblu3

Let me know if you like it or hate it ^^ and if it works for you and have suggestions for improvements.

cya soon and have fun




Stay tuned for more PS3 Hacks and PS3 CFW news, follow us on Twitter and be sure to drop by the PS3 Hacks and PS3 Custom Firmware Forums for the latest PlayStation 3 scene updates and homebrew releases!

Comments 231 Comments - Go to Forum Thread »

Quick Reply Quick Reply

xrayglasses's Avatar
#41 - xrayglasses - 82w ago
You don't need a lv1 exploit, it can glitch HTAB..

JOshISPoser's Avatar
#40 - JOshISPoser - 82w ago
what does all that mean?

PS3 News's Avatar
#39 - PS3 News - 82w ago
Following up on his PS3 SCETool update and PS3 Dump_Rootkey code, today Sony PlayStation 3 hacker Naehrwert has posted some details on exploiting the PlayStation 3 lv2_kernel and has made available a sample 3.41 implementation below.

To quote from his blog: Exploiting (?) lv2

A long while ago KaKaRoTo pointed me to a stack overflow he found while reversing lv2_kernel. But there are two problems:

1. The vulnerability is in a protected syscall (the SELF calling it got to have the 0x40... control flags set). So you’d first need to find a suitable usermode exploit (don’t ask us), that gives you code execution with the right privileges.

2. The payload data is copied to lv2 heap first and the function will do a free call on it before the payload has any chance to get executed. This might not sound like a problem but it looks like lv2′s heap implementation will overwrite the free’ed space with 0xABADCAFE and thus destroy the payload.

Here (pastie.org/4755699) is my sample implementation for 3.41 lv2_kernel (although the vulnerability should be present in all versions of lv2 up to the latest firmware), maybe someone of you will find a way to overcome problem (2.) and can get something nice out of it because right now it’s only good to crash lv2.

From Mathieulh (via pastebin.com/naxXkv3M):

The footer signature is still not checked upon npdrm self files execution as of 4.21.

Because kakaroto says something that doesn't make it true. Basically he found a check in 3.55 that was not even called and assumed they used it in 3.60+.

Of course they do whitelist npdrm now so even if the footer isn't checked you cannot run your own npdrm selfs signed with keyset lower than 0x0D making the whole debate rather pointless. Aditional checks are now performed on the actual file format as well such as the segment counter flag that needs to be set to 0x01 except for the very last segment.

Finally, from KDSBest (via twitlonger.com/show/jcmh80): Since naehrwert posted an lv2 exploit I will do so too . The stack pointer points to lv2 and if we do a syscall, the syscall saves register to the stack HAHA.

Btw. It just crashes the console for now, since I totally overwrite dump the lv2 or some memory addresses I don't know. Feel free to try around, adjust the address of the stackpointer and so on. If you managed to get the panic payload executed. Tell me!!! ^^

I didn't managed to make it work on 4.21 so I just did on 4.20

More PlayStation 3 News...

Ezio's Avatar
#38 - Ezio - 85w ago
The last versions of scetool work fine also without zlib1.dll, I tested them myself.

rageagainst1's Avatar
#37 - rageagainst1 - 85w ago
That zlib1.dll is outdated (1.2.5). The latest version is 1.2.7 (many improvements have been made). You can get it here:

http://multiupload.biz/bf9yckyyp8zu/zlib127_MultiUpload.biz.zip.html
or
http://mirrorstack.com/cti21s3t89ro













Affiliates - Contact Us - PS3 Downloads - Privacy Statement - Site Rules - Top - © 2014 PlayStation 3 News